Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177506 - Add support for drag-and-drop
Add support for drag-and-drop
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
PC Linux
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 178079 44575 48234
  Show dependency treegraph
 
Reported: 2009-11-24 06:35 UTC by Martin Entlicher
Modified: 2010-05-18 09:29 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Added ability to define allowed drop actions based on the transferable. (3.40 KB, patch)
2009-11-27 04:09 UTC, Martin Entlicher
Details | Diff
Introduce DnDNodeModel and DnDNodeModelFilter (19.22 KB, patch)
2009-11-27 04:11 UTC, Martin Entlicher
Details | Diff
DnDNodeModel (4.08 KB, text/plain)
2009-12-04 04:46 UTC, Martin Entlicher
Details
DnDNodeModelFilter (4.45 KB, text/plain)
2009-12-04 04:46 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2009-11-24 06:35:14 UTC
TreeTableView Model should support DnD so that DnD can be implemented for debugger views.
Comment 1 Martin Entlicher 2009-11-27 04:09:43 UTC
Created attachment 91768 [details]
Added ability to define allowed drop actions based on the transferable.
Comment 2 Martin Entlicher 2009-11-27 04:11:08 UTC
Created attachment 91769 [details]
Introduce DnDNodeModel and DnDNodeModelFilter
Comment 3 Martin Entlicher 2009-11-27 04:19:45 UTC
Please review API support for DnD in Viewmodel module. It allows to implement DnD of debugger watches.

I've added the ability to define allowed drop actions based on the transferable into OutlineView - that enables us to set the DnD action resonably (to COPY when DnD expression from Editor and to MOVE when moving watches inside of the view).

DnDNodeModel and DnDNodeModelFilter are to be implemented by clients to implement DnD (e.g. by watches model).
Comment 4 Martin Entlicher 2009-12-03 08:45:22 UTC
Thanks for the review, I'll push the change tomorrow.
Comment 5 Jaroslav Tulach 2009-12-04 04:04:27 UTC
Y01 I cannot find a single @since tag. Am I blind or there is really no new method in a publicly visible API?
Comment 6 Martin Entlicher 2009-12-04 04:46:08 UTC
Created attachment 92096 [details]
DnDNodeModel
Comment 7 Martin Entlicher 2009-12-04 04:46:55 UTC
Created attachment 92097 [details]
DnDNodeModelFilter
Comment 8 Martin Entlicher 2009-12-04 04:49:14 UTC
Oops, I did not noticed that the attached diff does not contain the two new interfaces - DnDNodeModel and DnDNodeModelFilter.
hg diff does not print ? <file> for new files unlike CVS did. :-(
The interfaces contain the @since tag.
Comment 9 Martin Entlicher 2009-12-05 07:20:51 UTC
API for DnD was added into the viewmodel in several changesets:
changeset:   155331:dbacc127b442
changeset:   155332:192c670c9566
changeset:   155334:000ddd04ed49
changeset:   155335:dd53541c1de8
changeset:   155336:346ef154cdea
Comment 10 Quality Engineering 2009-12-07 03:19:44 UTC
Integrated into 'main-golden', will be available in build *200912070253* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dbacc127b442
User: mentlicher@netbeans.org
Log: #177506 - Support for Drag and Drop added.
Comment 11 Marian Mirilovic 2010-05-18 09:29:49 UTC
v/c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo